<h4><%= t('.title', user: User.model_name.human) %></h4>

<%= simple_form_for @user, url: users_admin_ldap_search_path(@user), method: :get, remote: true, html: { novalidate: true },
    wrapper: :horizontal_form,
    wrapper_mappings: {
      boolean:       :horizontal_boolean,
      check_boxes:   :horizontal_collection,
      date:          :horizontal_multi_select,
      datetime:      :horizontal_multi_select,
      file:          :horizontal_file,
      radio_buttons: :horizontal_collection,
      range:         :horizontal_range,
      time:          :horizontal_multi_select
    }  do |f| %>

  <div class="form-group row string required user_username">
    <label class="col-sm-3 col-form-label string required" for="ldap_config">Ldap Config</label>
    <div class="col-sm-9">
      <%= select_tag :ldap_config, options_for_select(Admin::LdapConfig.all.collect {|elt| [elt.name, elt.id]}), class: 'form-control' %>
    </div>
  </div>

  <hr>
  <%= f.input :username,
              required: true,
              autofocus: true,
              input_html: { autocomplete: "username" }%>
  <%= f.input :email,
              required: true,
              input_html: { autocomplete: "email" } %>

  <%= f.simple_fields_for :person, @user.person do |pform| %>
    <%= pform.input :firstname %>
    <%= pform.input :lastname %>
  <% end %>

  <div class="form-actions">
    <%= f.button :submit, 'Search in LDAP', class: 'btn btn-outline-warning' %>
  </div>

<% end %>

<br><%= link_to t('back'), users_admin_index_path %>
